import { CompiledAddressLookupTable, CompiledInstruction, Context, SerializedTransaction, SerializedTransactionMessage, Serializer, Transaction, TransactionFactoryInterface, TransactionInput, TransactionMessage, TransactionMessageHeader, TransactionVersion } from '@metaplex-foundation/umi-core';
export declare class Web3JsTransactionFactory implements TransactionFactoryInterface {
    protected readonly context: Pick<Context, 'serializer'>;
    constructor(context: Web3JsTransactionFactory['context']);
    create(input: TransactionInput): Transaction;
    serialize(transaction: Transaction): SerializedTransaction;
    deserialize(serializedTransaction: SerializedTransaction): Transaction;
    serializeMessage(message: TransactionMessage): SerializedTransactionMessage;
    deserializeMessage(serializedMessage: SerializedTransactionMessage): TransactionMessage;
    getTransactionSerializer(): Serializer<Transaction>;
    getTransactionMessageSerializer(): Serializer<TransactionMessage>;
    getTransactionMessageSerializerForVersion(version: TransactionVersion): Serializer<TransactionMessage>;
    getTransactionVersionSerializer(): Serializer<TransactionVersion>;
    getTransactionMessageHeaderSerializer(): Serializer<TransactionMessageHeader>;
    getCompiledInstructionSerializer(): Serializer<CompiledInstruction>;
    getCompiledAddressLookupTableSerializer(): Serializer<CompiledAddressLookupTable>;
}
/**
 * Same as u16, but serialized with 1 to 3 bytes.
 *
 * If the value is above 0x7f, the top bit is set and the remaining
 * value is stored in the next bytes. Each byte follows the same
 * pattern until the 3rd byte. The 3rd byte, if needed, uses
 * all 8 bits to store the last byte of the original value.
 */
export declare const shortU16: () => Serializer<number>;
